[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TButtonControl.Checked

Indicates the checked state for the control as a Boolean value.

## Declaration

Source position: stdctrls.pp line 1191

`protected property TButtonControl.Checked : Boolean read GetChecked write SetChecked stored IsCheckedStored default False;`

## Description

Checked is a Boolean property which indicates if the control is displayed using its "checked" or "unchecked" state. The value for the property is always False in TButtonControl, and is overridden in descendent classes like TCustomCheckBox/TCheckBox.